%define major		25
%define gi_major	0.6
%define libname		%mklibname %{name} %{major}
%define libeds		%mklibname %{name}-eds %{major}
%define libtelepathy	%mklibname %{name}-telepathy %{major}
%define libtracker	%mklibname %{name}-tracker %{major}
%define develname	%mklibname -d %{name}
%define girname		%mklibname %{name}-gir %{gi_major}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

%bcond_with tracker
%bcond_with zeitgeist

Name:		folks
Version:	0.13.1
Release:	%mkrel 5
Summary:	Aggregates people from multiple sources to create metacontacts
Group:		Networking/Instant messaging
License:	LGPLv2+
URL:		https://wiki.gnome.org/Projects/Folks
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch02:    folks-0.12.1-test_timeout.patch

BuildRequires:	pkgconfig(telepathy-glib)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(libebook-1.2)
%if %{with zeitgeist}
BuildRequires:	pkgconfig(zeitgeist-2.0)
%endif
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
%if %{with tracker}
BuildRequires:	pkgconfig(tracker-sparql-2.0)
BuildRequires:	tracker-vala
%endif
BuildRequires:	readline-devel
BuildRequires:	gettext
BuildRequires:	meson
BuildRequires:	vala

%description
libfolks is a library that aggregates people from multiple sources (eg,
Telepathy connection managers and eventually evolution data server, Facebook,
etc.) to create metacontacts. It's written in Vala (in part to evaluate Vala).
The initial goal is for GObject/C support, though the Vala bindings should
basically automatic.


%package -n %{libname}
Group:		System/Libraries
Summary:	Aggregates people from multiple sources to create metacontacts
Requires:   %{name} = %{version}-%{release}

%description -n %{libname}
libfolks is a library that aggregates people from multiple sources (eg,
Telepathy connection managers and eventually evolution data server, Facebook,
etc.) to create metacontacts.


%package -n %{develname}
Group:		Development/Libraries
Summary:	Aggregates people from multiple sources to create metacontacts
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
libfolks is a library that aggregates people from multiple sources (eg,
Telepathy connection managers and eventually evolution data server, Facebook,
etc.) to create metacontacts. It's written in Vala (in part to evaluate Vala).
The initial goal is for GObject/C support, though the Vala bindings should
basically automatic.

%package telepathy-backend
Group:          Networking/Instant messaging
Summary:        Telepathy backend for folks
Requires:       %{libname}

%description telepathy-backend
libfolks backend which connects to the Telepathy accounts service and creates
a PersonaStore for each valid account known to Telepathy.


%files -f %{name}.lang
%doc AUTHORS README.md
%{_bindir}/folks-*
%{_datadir}/glib-2.0/schemas/org.freedesktop.folks.gschema.xml

%files -n %{libname}
%{_libdir}/libfolks.so.%{major}*
%dir %{_libdir}/folks
%dir %{_libdir}/folks/*/
%dir %{_libdir}/folks/*/backends/
%{_libdir}/folks/*/backends/key-file/
%{_libdir}/libfolks-dummy.so.%{major}*
%{_libdir}/folks/*/backends/dummy/
%{_libdir}/libfolks-eds.so.%{major}*
%{_libdir}/girepository-1.0/Folks*%{gi_major}.typelib

%if %{with tracker}
%{_libdir}/folks/*/backends/tracker/
%{_libdir}/libfolks-tracker.so.%{major}*
%endif

%{_libdir}/folks/*/backends/bluez/
%{_libdir}/folks/*/backends/eds/
%{_libdir}/folks/*/backends/ofono/

%files telepathy-backend
%{_libdir}/libfolks-telepathy.so.%{major}*
%{_libdir}/folks/*/backends/telepathy/

%files -n %{develname}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/folks/
%{_datadir}/vala/vapi/folks*
%{_datadir}/gir-1.0/Folks*%{gi_major}.gir

#--------------------------------------------------------------------

%prep
%setup -q

%build
%meson \
	-Deds_backend=true \
	-Dinspect_tool=true \
	-Dimport_tool=true \
	-Dzeitgeist=%{?with_zeitgeist:true}%{?!with_zeitgeist:false} \
	-Dtracker_backend=%{?with_tracker:true}%{?!with_tracker:false}
%meson_build

%install
%meson_install

%find_lang %{name}

%post
/sbin/ldconfig
glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :

%postun
/sbin/ldconfig
glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :

%changelog
* Mon Mar 22 2021 tex - 0.13.1-5pclos2021
- rebuild against updates

* Sat Sep 12 2020 tex - 0.13.1-4pclos2020
- rebuild against updates

* Sat Jan 18 2020 tex - 0.13.1-3pclos2020
- split out telepathy backend and library

* Sat Jan 18 2020 tex - 0.13.1-2pclos2020
- lib to require name package

* Thu Jan 16 2020 tex - 0.13.1-1pclos2020
- import folks


